<?php
/*
Template Name: Coming soon
*/
?>

<!DOCTYPE html>
<!--[if (gte IE 9)|!(IE)]><!--> <html class="not-ie no-js" <?php language_attributes(); ?>>  <!--<![endif]-->
<head>

	<!-- Basic Page Needs
    ==================================================== -->
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<div id="wrapper" class="wrapper-container comming-soon">

<?php global $jogasana_settings; ?>

 	<header class="align-center">
		<?php echo jogasana_logo(); ?>	
    </header>

	<div id="content" class="coming-soon-inner">  
	<div class="container">
    <div class="align-center">
	
	<?php if(have_posts()): ?>
		<?php while(have_posts()): the_post(); ?>
					
			<?php the_content(); ?>
				
		<?php endwhile; ?>
	<?php endif; ?>
	
    </div>
    </div>
    </div>

 <footer id="footer" class="footer footer-comming-soon fixed" >
          
		<div class="container wide-style">

			<div class="main-footer">
				
				<?php if ( !empty($jogasana_settings['coming-soon-social']) && $jogasana_settings['coming-soon-social'] ): ?>
                <ul class="social-icons ls-none">

                  <?php if ( $jogasana_settings['coming-soon-social-linkedin']): ?>
                  <li><a href="<?php echo esc_url($jogasana_settings['coming-soon-social-linkedin']) ?>"><i class="icon-linkedin-3"></i></a></li>
                  <?php endif; ?>
                  
                   <?php if ( $jogasana_settings['coming-soon-social-tumblr']): ?>
                  <li><a href="<?php echo esc_url($jogasana_settings['coming-soon-social-tumblr']) ?>"><i class="icon-tumblr"></i></a></li>
                  <?php endif; ?>
                  
                   <?php if ( $jogasana_settings['coming-soon-social-vimeo']): ?>
                  <li><a href="<?php echo esc_url($jogasana_settings['coming-soon-social-vimeo']) ?>"><i class="icon-vimeo"></i></a></li>
                  <?php endif; ?>
				  
                   <?php if ( $jogasana_settings['coming-soon-social-youtube']): ?>
                  <li><a href="<?php echo esc_url($jogasana_settings['coming-soon-social-youtube']) ?>"><i class="icon-youtube-play"></i></a></li>
                  <?php endif; ?>
				  
                   <?php if ( $jogasana_settings['coming-soon-social-facebook']): ?>
                  <li><a href="<?php echo esc_url($jogasana_settings['coming-soon-social-facebook']) ?>"><i class="icon-facebook"></i></a></li>
                  <?php endif; ?>
				  
                   <?php if ( $jogasana_settings['coming-soon-social-twitter']): ?>
                  <li><a href="<?php echo esc_url($jogasana_settings['coming-soon-social-twitter']) ?>"><i class="icon-twitter"></i></a></li>
                  <?php endif; ?>
				  
				   <?php if ( $jogasana_settings['coming-soon-social-instagram']): ?>
                  <li><a href="<?php echo esc_url($jogasana_settings['coming-soon-social-instagram']) ?>"><i class="icon-instagram-5"></i></a></li>
                  <?php endif; ?>
				  
				   <?php if ( $jogasana_settings['coming-soon-social-flickr']): ?>
                  <li><a href="<?php echo esc_url($jogasana_settings['coming-soon-social-flickr']) ?>"><i class="icon-flickr"></i></a></li>
                  <?php endif; ?>

                </ul>
                <?php endif; ?>
			
			</div>
		
		
			<div class="copyright">
  
                <?php if ( !empty($jogasana_settings['coming-soon-copyright']) ): ?>
					<?php echo wpautop($jogasana_settings['coming-soon-copyright']); ?>
                <?php endif; ?>
               
            </div>
			
          </div>

</footer>

<div id="footer-scroll"></div>
</div>
<?php wp_footer(); ?>
</body>
</html>