<?php

class WPBakeryShortCode_VC_mad_move_image extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'image' => '',
		), $atts, 'vc_mad_move_image');

		$this->content = $content;
		
		return $this->html();
	}

	public function html() {

		$image = '';

		extract($this->atts);
		
		$attach_id = preg_replace('/[^\d]/', '', $image);
		$alt = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
		$img = Jogasana_Helper::get_post_attachment_image( $attach_id, 'full');

		if ( $img == null ) {
			$img_large =  vc_asset_url( 'vc/no_image.png' );
		} else {
			$img_large = esc_url($img);
		}
		
		
		
		ob_start(); ?>
		
		<div class="wpb_content_element ys_move_image" >
		
		<div class="img-bg bg-move left-side" data-bg="<?php echo esc_url($img_large); ?>"></div>

		
		</div>
	
		<?php return ob_get_clean();
	}

}