<?php

class WPBakeryShortCode_VC_mad_newsletter extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' => '',
			'info' => '',
			'type' => 'type_1'
		), $atts, 'vc_mad_newsletter');

			global $jogasana_settings; 
			$data_mailchimp_api = $jogasana_settings['mailchimp-api']; 
			if ( $data_mailchimp_api == '' ) {
				return;
			}
			
		return $this->html();
	}

	public function html() {
		$title = $type = $info = '';

		extract($this->atts);

		ob_start() ?>
		
		<?php if($type == 'type_1'){ ?>
		
		<div class="vc_newsletter call-out-form style-2 type_1">
        <div class="newsletter-wrap">

                  <span class="call-out-icon licon-paper-plane"></span>
				  
			<?php  
			$type_widget = 'jogasana_widget_mailchimp';
			
			$mad_widget_args = array(
				'before_widget' => '<div id="wp_newsletter_widget">',
				'after_widget' => '</div>',
				'before_title' => '<h5 class="ys-widget-title wt-title">',
				'after_title' => '</h5>'
			);
			the_widget( $type_widget, $this->atts, $mad_widget_args ); ?>
	
		</div>
        </div>
		<?php } elseif($type == 'type_2'){ ?>
		<div class="vc_newsletter type_2">

			<?php  
			$type_widget = 'jogasana_widget_mailchimp';
			
			$mad_widget_args = array(
				'before_widget' => '<div id="wp_newsletter_widget">',
				'after_widget' => '</div>',
				'before_title' => '<h5 class="ys-widget-title wt-title">',
				'after_title' => '</h5>'
			);
			the_widget( $type_widget, $this->atts, $mad_widget_args ); ?>
	
        </div>
		<?php } elseif($type == 'type_3'){ ?>
		<div class="vc_newsletter type_3">

			<?php  
			$type_widget = 'jogasana_widget_mailchimp';
			
			$mad_widget_args = array(
				'before_widget' => '<div id="wp_newsletter_widget">',
				'after_widget' => '</div>',
				'before_title' => '<h5 class="ys-widget-title wt-title">',
				'after_title' => '</h5>'
			);
			the_widget( $type_widget, $this->atts, $mad_widget_args ); ?>
	
        </div>
		<?php } ?>
	
		<?php return ob_get_clean();
	}

}