<?php

class WPBakeryShortCode_VC_mad_video_button extends WPBakeryShortCode {

	public $atts = array();

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'link' => 'https://vimeo.com/51589652',
			'image' => '',
			'align' => 'left'
		), $atts, 'vc_mad_video_button');

		$html = $this->html();

		return $html;
	}

	public function html() {

		$link = $image = $align = '';
		extract($this->atts);

		ob_start(); ?>

		<?php if ( !empty($link) ): ?>

			<div class="ys-media-content video-holder align-<?php echo esc_attr($align) ?>">

				<?php if ( !empty($image) && absint($image) ): ?>

					<a href="<?php echo esc_url($link) ?>" class="video-btn" data-fancybox="video"></a>
					<?php echo Jogasana_Helper::get_the_thumbnail( $image, '', true, '', array( 'alt' => '' ) ); ?>
					
				<?php else: ?>

					<a href="<?php echo esc_url($link) ?>" class="fancybox-media video-btn"></a>

				<?php endif; ?>

			</div>

		<?php endif; ?>

		<?php return ob_get_clean();
	}

}