<!DOCTYPE html>
<!--[if (gte IE 9)|!(IE)]><!--> <html class="not-ie no-js" <?php language_attributes(); ?>>  <!--<![endif]-->
<head>

	<!-- Basic Page Needs
    ==================================================== -->
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<?php wp_head(); ?>

</head>

<?php
global $jogasana_config;
$page_wrapper = $jogasana_config['page_wrapper'];
$header_classes = $jogasana_config['header_classes'];
$header_type = $jogasana_config['header_type'];
$sidebar_position = $jogasana_config['sidebar_position'];
$page_content_classes = $jogasana_config['page_content_classes'];

?>

<body <?php body_class(); ?>>

<?php do_action('jogasana_body_append'); ?>

<div id="wrapper" class="wrapper-container <?php echo esc_attr($page_wrapper) ?>">

	    <nav id="mobile-advanced" class="mobile-advanced"></nav>

		<?php do_action('jogasana_header_prepend') ?>

		<header id="header" class="ys-header <?php echo esc_attr($header_classes); ?>">
			<?php do_action( 'jogasana_header_layout', $header_type ); ?>
		</header>

		<?php do_action('jogasana_header_append') ?>


	<?php
		/**
		 * jogasana_header_after hook
		 *
		 * @hooked page_title_and_breadcrumbs
		 */

		do_action('jogasana_header_after');
	?>

	<div id="content" class="<?php echo esc_attr($page_content_classes) ?>">

		<?php if ( $sidebar_position != 'ys-no-sidebar' ): ?>

			<div class="container">

				<div class="row">

					<main id="main" class="col-lg-8 col-md-12">

		<?php else: ?>

			<div class="container">

				<div class="row">

					<div class="col-sm-12">

		<?php endif; ?>