<?php

/*  Register Widget Areas
/* ----------------------------------------------------------------- */

if (!function_exists('jogasana_widgets_register')) {

	function jogasana_widgets_register () {

		$before_widget = '<div id="%1$s" class="widget %2$s">';

		$widget_args_footer = array(
			'before_widget' => $before_widget,
			'after_widget' => '</div>',
			'before_title' => '<h6 class="ys-widget-title widget-title">',
			'after_title' => '</h6>'
		);
		$widget_args_sidebar = array(
			'before_widget' => $before_widget,
			'after_widget' => '</div>',
			'before_title' => '<h6 class="ys-widget-title widget-title">',
			'after_title' => '</h6>'
		);

		// General Widget Area
		register_sidebar(array(
			'name' => 'General Widget Area',
			'id' => 'general-widget-area',
			'description'   => esc_html__('For all pages and posts.', 'jogasana'),
			'before_widget' => $widget_args_sidebar['before_widget'],
			'after_widget' => $widget_args_sidebar['after_widget'],
			'before_title' => $widget_args_sidebar['before_title'],
			'after_title' => $widget_args_sidebar['after_title']
		));

	}

	add_action( 'widgets_init', 'jogasana_widgets_register' );

}

?>