<?php
/**
* The template for displaying pages
*
* This is the template that displays all pages by default.
* Please note that this is the WordPress construct of pages and that
* other "pages" on your WordPress site will use a different template.
*
* @package WordPress
* @subpackage Jogasana
* @since Jogasana 1.0
*/

get_header(); 

global $jogasana_settings, $jogasana_config;
?>

<?php if ( have_posts() ) : ?>

	<?php while ( have_posts() ) : the_post(); ?>

		<div class="entry-content">
			
			<?php 
			if ( $jogasana_settings['show-main-pagetitle'] ) {
			the_title( '<h1 class="entry-title">', '</h1>' ); 
			}
			?>
			
			<?php the_content(); ?>
		</div>

		<?php
		wp_link_pages( array(
			'before'      => '<div class="pagination nav-pagination page-pagination" role="navigation">',
			'after'       => '</div>',
			'link_before'      => '<span class="page-link-number">',
			'link_after'       => '</span>'
		) );

		if ( comments_open() || get_comments_number() ) {
			comments_template();
		}

	endwhile; ?>

<?php endif; ?>

<?php wp_reset_postdata(); ?>

<?php get_footer(); ?>

