
<?php
// reset all previous queries
wp_reset_postdata();

global $jogasana_settings, $jogasana_config;
$post_id = jogasana_post_id();
$custom_sidebar = $jogasana_settings['sidebar'];
if ( is_singular(array('post')) ) {
	$custom_sidebar = $jogasana_settings['single-post-sidebar'];
}
if ( is_archive() ) {
	$custom_sidebar = $jogasana_settings['archive-post-sidebar'];
}

if ( is_post_type_archive('challenge') || is_tax('challenges') ) {
	global $wp_query;
	$term =	$wp_query->queried_object;
	$term_id = $term->term_id;
	if(get_metadata('challenges', $term_id, 'sidebar', true)) {
	$custom_sidebar = get_metadata('challenges', $term_id, 'sidebar', true);
	}	
}

if (class_exists('WooCommerce')) {
	if ( JOGASANA_WOOCOMMERCE_CONFIG::is_realy_woocommerce_page() ) {
		$custom_sidebar = $jogasana_settings['product-sidebar'];
	}
}

$page_sidebar = trim(get_post_meta( $post_id, 'jogasana_page_sidebar', true ));

if ( $page_sidebar ) {
	$custom_sidebar = $page_sidebar;
}

if ( is_singular(array('page', 'post')) && !empty($post_id) && $page_sidebar) {
	$custom_sidebar = $page_sidebar;
}

?>
<aside id="sidebar" class="col-lg-4 col-md-12 ys-sidebar">
	<?php
	if ( !empty($custom_sidebar) && is_active_sidebar($custom_sidebar) ) {
		dynamic_sidebar($custom_sidebar);
	} else {
		if ( is_active_sidebar('general-widget-area') ) {
			dynamic_sidebar('General Widget Area');
		} else {
		 
		}
	}
	?>
</aside>


