<?php
/**
 * The template for displaying single testimonials.
 *
 * @package WordPress
 * @subpackage Jogasana
 * @since Jogasana 1.0
 */
get_header(); ?>

<?php if ( have_posts() ): ?>

	<?php global $jogasana_settings; ?>

	<div id="<?php echo get_the_ID() ?>" <?php post_class('ys-single-entry-holder'); ?>>

		<?php while ( have_posts() ) : the_post(); ?>

			<?php
			global $post;
			$this_id = get_the_ID();
			$name = get_the_title($this_id);
			$format = 'standard';
			$link = get_permalink($this_id);
			$image_size = 'jogasana-masonry2';
			$position = get_post_meta($this_id, 'jogasana_tm_position', true);
			$address = get_post_meta($this_id, 'jogasana_tm_address', true);
			$phone = get_post_meta($this_id, 'jogasana_tm_phone', true);
			$fax = get_post_meta($this_id, 'jogasana_tm_fax', true);
			$email = get_post_meta($this_id, 'jogasana_tm_email', true);
			$download = get_post_meta($this_id, 'jogasana_tm_download', true);
			
			$thumbnail_atts = array(
				'alt'	=> trim(strip_tags(get_the_excerpt($this_id))),
				'title'	=> trim(strip_tags(get_the_title($this_id)))
			);
			?>
			
			<div class="team-item-info ">
					
				<?php echo apply_filters('the_content', get_the_content()); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'jogasana' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
					
			</div>
			
			
			<?php if ( comments_open() || '0' != get_comments_number() ): ?>
				<?php comments_template(); ?>
			<?php endif; ?>
			
		<?php endwhile ?>

	</div>

<?php endif; ?>

<?php get_footer(); ?>