<?php
/**
 * The template for displaying Tag pages
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Jogasana
 * @since Jogasana 1.0
 */

get_header(); ?>

<?php if ( have_posts() ) : ?>

	<?php
	global $jogasana_settings;
	
	$style_blog = 'ys-big-thumbs';
	
	$wrapper_attributes = array();

	$css_classes = array(
		'ys-index-blog',
		'ys-blog-posts',
		'ys-blog-holder',
		'ys-type-2',
		'blog-type',
		'entry-box',
		'style-2',
		'ys-paginate-pagination',
		'entry-content',
		$style_blog
	);     

	$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
	$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
	?>

	<div <?php echo implode( ' ', $wrapper_attributes ) ?>>

			<?php
			// Start the loop.
			while ( have_posts() ) : the_post();
				get_template_part( 'template-parts/loop', 'index' );
			endwhile;
			?>
	</div>
    
   <?php
		echo jogasana_pagination();
		?>

<?php else:
	get_template_part( 'template-parts/content', 'none' );
endif; ?>

<?php get_footer(); ?>