<?php
/**
 * The template for displaying Testimonials Archive area.
 */

get_header('challenge'); ?>

	<?php
	global $jogasana_settings;

	$wrapper_attributes = array();

	$css_classes = array(
		'ys-challenges-archive',
		'single-post',
		'entry-box'
	);     

	$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
	$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
	?>

	<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
	<div class="entry">
			<?php
			global $wp_query;
			$term =	$wp_query->queried_object;
			
			if ( isset( $term->slug ) ) {
			echo '<div class="content-element6">';
			
				$id_cat = $term->term_id;
				$name_cat = $term->name;
				$content_cat = $term->description;
				$link_cat  = get_category_link( $id_cat );
				$post_count_cat  = $term->category_count;
				$thumb_cat = get_metadata('challenges', $id_cat, 'cat_image', true);
				$thumb_video = get_metadata('challenges', $id_cat, 'cat_video', true);
				$level_cat = get_metadata('challenges', $id_cat, 'level', true);

				if($thumb_video == '') {
					$thumb_video = $thumb_cat;
				}
				
				if($thumb_cat != '') {
					?>
					
				
				<div class="thumbnail-attachment video-holder">
                  <img src="<?php echo esc_url($thumb_cat); ?>" alt="<?php echo esc_attr(trim(strip_tags($name_cat)));?>" ><a href="<?php echo esc_url($thumb_video); ?>" class="video-btn" data-fancybox="video"></a>
                </div>
					
					<?php
				}
				?>
				
				<p class="cat_info"><?php echo esc_html($content_cat); ?></p>

			 <?php if ( function_exists('jogasana_term_share_btn') ): ?>
			  <?php echo jogasana_term_share_btn($term);  ?>
			 <?php endif; ?>
			
			<?php	
			echo '</div>';
			}
			?>
			
			<div class="content-element6">
				<h5 class="section-title"><?php esc_html_e('All Classes', 'jogasana'); ?></h5>
			
			<div class="entry-box entry-small style-2 list-type challenge-classes">
			<?php
			
			global $wp_query;   

			query_posts(array_merge(array('orderby' => 'title ', 'order' => 'ASC' ),$wp_query->query));
			
			// Start the loop.
			while ( have_posts() ) : the_post();
			
				get_template_part( 'template-parts/loop', 'challenges' );
				
			endwhile;
			?>
			
			</div>
			</div>
		
	</div>
	</div>

	

<?php get_footer('challenge'); ?>