<?php
global $jogasana_settings, $jogasana_config;

if (class_exists('Jogasana_Widgets_Meta_Box')) {
	
	$result = Jogasana_Widgets_Meta_Box::get_page_settings(jogasana_post_id());

	if ( class_exists( 'WooCommerce' ) ) {
	
		if ( JOGASANA_WOOCOMMERCE_CONFIG::is_realy_woocommerce_page() ) {
			$shop_from_page_id = '';
			
			if ( !empty($jogasana_settings['shop-archive-footer-sidebar']) ) {
			$shop_from_page_id = $jogasana_settings['shop-archive-footer-sidebar'];
			}
		
			if ( is_singular('product') &&  !empty($jogasana_settings['shop-single-footer-sidebar']) ) {
				$shop_from_page_id = $jogasana_settings['shop-single-footer-sidebar'];
			}
			
			if ( $shop_from_page_id && $shop_from_page_id != '' ) {
				$result = Jogasana_Widgets_Meta_Box::get_page_settings($shop_from_page_id);
			}
			
		}
	}
	
	if ( (is_tax( get_object_taxonomies( 'tribe_events' ) ) || is_post_type_archive('tribe_events') || is_singular('tribe_events')) &&  !empty($jogasana_settings['events-footer-sidebar']) ) {
		$result = Jogasana_Widgets_Meta_Box::get_page_settings($jogasana_settings['events-footer-sidebar']);
	}	
	
	if ( is_singular('post') &&  !empty($jogasana_settings['single-footer-sidebar']) ) {
			$result = Jogasana_Widgets_Meta_Box::get_page_settings($jogasana_settings['single-footer-sidebar']);
		}
		
	if ( (is_tax( get_object_taxonomies( 'team-members' ) ) || is_post_type_archive('team-members') || is_singular('team-members')) &&  !empty($jogasana_settings['team-footer-sidebar']) ) {
			$result = Jogasana_Widgets_Meta_Box::get_page_settings($jogasana_settings['team-footer-sidebar']);
		}	
	
	if ( (is_tax( get_object_taxonomies( 'place' ) ) || is_post_type_archive('place') || is_singular('place')) &&  !empty($jogasana_settings['place-footer-sidebar']) ) {
			$result = Jogasana_Widgets_Meta_Box::get_page_settings($jogasana_settings['place-footer-sidebar']);
		}	
	
	if ( (is_tax( get_object_taxonomies( 'classes' ) ) || is_post_type_archive('classes')) &&  !empty($jogasana_settings['classes-footer-sidebar']) ) {
			$result = Jogasana_Widgets_Meta_Box::get_page_settings($jogasana_settings['classes-footer-sidebar']);
		}

	if ( (is_tax( get_object_taxonomies( 'testimonials' ) ) || is_post_type_archive('testimonials') || is_singular('testimonials')) &&  !empty($jogasana_settings['testimonials-footer-sidebar']) ) {
			$result = Jogasana_Widgets_Meta_Box::get_page_settings($jogasana_settings['testimonials-footer-sidebar']);
		}		

	if ( is_404() &&  !empty($jogasana_settings['404-footer-sidebar']) ) {
			$result = Jogasana_Widgets_Meta_Box::get_page_settings($jogasana_settings['404-footer-sidebar']);
		}
			
	extract($result);

}
?>

<?php 
$size = '';
if($jogasana_config['footer_type'] == 'footer-1') { 
$size = 'wide-style';
} elseif($jogasana_config['footer_type'] == 'footer-3') { 
$size = 'wide2';
} elseif($jogasana_config['footer_type'] == 'footer-4') { 
$size = 'wide2';
}
?>

<?php if($jogasana_config['footer_type'] == 'footer-1') { ?>
	<div class="logo">
	<?php echo jogasana_footer_logo(); ?>
	</div>
	
	<div class="ys-fs-medium-top  main-footer medium-footer-col-2">
    <div class="container wide-style">
		<div class="row">

			<div class="col-lg-4 col-md-12">
						            
				<div class="widget widget_mailchimp var1">
				<?php
				$data_mailchimp_api = $jogasana_settings['mailchimp-api']; 

				if ( $jogasana_settings['show-footer-newsletter'] )  {
				?>
				<h6 class="widget-title"><?php echo esc_html__('Join Our Mailing List','jogasana') ?></h6>
				
				<div class="join-us style-2">
				
					<form class="join-form newsletter style-2 cp_newsletter" action="#" method="POST">
					
					<input class="ys-newsletter-email" type="email" name="email" placeholder="<?php echo esc_attr__('Enter your email address','jogasana') ?>">
					
					<button type="submit" name="signup_submit" class="cp_newsletter-submit btn btn-big btn-style-3" data-type="submit"><span class="ajax-loader"></span><?php  echo esc_html__('Sign Up','jogasana'); ?></button>
					
					<div class="message-container-subscribe"></div>
				
					</form>
				
				</div>
				
				<?php } ?>
				</div>
           
            </div>

			<div class="col-lg-4 col-md-12 offset-lg-4">
				<div class="widget widget_social_with_icon">
				
				<?php if ( $jogasana_settings['footer-social-linkedin'] != '' || $jogasana_settings['footer-social-tumblr'] != '' || $jogasana_settings['footer-social-vimeo'] != '' || $jogasana_settings['footer-social-youtube'] != '' || $jogasana_settings['footer-social-facebook'] != '' || $jogasana_settings['footer-social-twitter'] != '' || $jogasana_settings['footer-social-instagram'] != '' || $jogasana_settings['footer-social-flickr'] != '' ) { 
				
				?>
				<h6 class="widget-title"><?php echo esc_html__('STAY CONNECTED', 'jogasana') ?></h6>
				<ul class="social-icons">

				<?php if ( $jogasana_settings['footer-social-linkedin'] != ''): ?>
					<li class="linkedin-icon"><a target="_blank" title="<?php echo esc_attr__('LinkedIn', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-linkedin']) ?>"><i class="icon-linkedin-3"></i></a></li>
					<?php endif; ?>

					<?php if ( $jogasana_settings['footer-social-tumblr'] != ''): ?>
						<li class="tumblr-icon"><a target="_blank" title="<?php echo esc_attr__('Tumblr', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-tumblr']) ?>"><i class="icon-tumblr-1"></i></a></li>
					<?php endif; ?>

					<?php if ( $jogasana_settings['footer-social-vimeo'] != ''): ?>
						<li class="vimeo-icon"><a target="_blank" title="<?php echo esc_attr__('Vimeo', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-vimeo']) ?>"><i class="icon-vimeo"></i></a></li>
					<?php endif; ?>

					<?php if ( $jogasana_settings['footer-social-youtube'] != ''): ?>
						<li class="youtube-icon"><a target="_blank" title="<?php echo esc_attr__('Youtube', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-youtube']) ?>"><i class="icon-youtube-play"></i></a></li>
					<?php endif; ?>

					<?php if ( $jogasana_settings['footer-social-facebook'] != ''): ?>
						<li class="fb-icon"><a target="_blank" title="<?php echo esc_attr__('Facebook', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-facebook']) ?>"><i class="icon-facebook"></i></a></li>
					<?php endif; ?>

					<?php if ( $jogasana_settings['footer-social-twitter'] != ''): ?>
						<li class="tweet-icon"><a target="_blank" title="<?php echo esc_attr__('Twitter', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-twitter']) ?>"><i class="icon-twitter"></i></a></li>
					<?php endif; ?>

					<?php if ( $jogasana_settings['footer-social-instagram'] != ''): ?>
						<li class="insta-icon"><a target="_blank" title="<?php echo esc_attr__('Instagram', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-instagram']) ?>"><i class="icon-instagram-5"></i></a></li>
					<?php endif; ?>

					<?php if ( $jogasana_settings['footer-social-flickr'] != ''): ?>
						<li class="flickr-icon"><a target="_blank" title="<?php echo esc_attr__('Flickr', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-flickr']) ?>"><i class="icon-flickr"></i></a></li>
					<?php endif; ?>		
					
				</ul>
				
			<?php } ?>
			
				</div>
			</div>

		</div>

	</div>
	</div>
<?php } ?>
	
<?php 
if(empty($footer_row_top_show)) {
$footer_row_top_show = $jogasana_settings['show-footer-row-top'];
}
if ( empty($footer_row_top_columns_variations) ){
	$footer_row_top_columns_variations = '{"4":[["3","3","3","3"]]}';
}
if ( empty($get_sidebars_top_widgets) ){
	$get_sidebars_top_widgets = array(
					'Footer Row - widget 1',
					'Footer Row - widget 2',
					'Footer Row - widget 3',
					'Footer Row - widget 4',
					'Footer Row - widget 5'
				);
}


if ( !empty($footer_row_top_show) && $footer_row_top_show ): 
$dop_columns_top = '';
?>

	<div class="ys-fs-top top-footer top-footer-col-<?php echo esc_attr(key( json_decode( html_entity_decode ( $footer_row_top_columns_variations ), true ) )); ?> ">
	<div class="container <?php echo esc_attr($size); ?>">
		<div class="row">

			<?php if ( !empty($footer_row_top_columns_variations) ):
				$number_of_top_columns = key( json_decode( html_entity_decode ( $footer_row_top_columns_variations ), true ) );
				$columns_top_array = json_decode( html_entity_decode ( $footer_row_top_columns_variations ), true );
				?>

				<?php for ( $i = 1; $i <= $number_of_top_columns; $i++ ): ?>

				<?php if($number_of_top_columns === 2 && $columns_top_array[$number_of_top_columns][0][$i-1] == 4 && $i == 2) {
					$dop_columns_top = 'offset-xl-4';
				}
				
				if($columns_top_array[$number_of_top_columns][0][$i-1] == 12 ) {
					$dop_columns_top .= ' col-md-12';
				} else {
					$dop_columns_top .= ' col-md-6';
				}
				?>
				
				<div class="col-xl-<?php echo esc_attr($columns_top_array[$number_of_top_columns][0][$i-1]); ?>  <?php echo esc_attr($dop_columns_top); ?>">
					<?php if ( !dynamic_sidebar($get_sidebars_top_widgets[$i-1]) ) : endif; ?>
				</div>

			<?php 
			$dop_columns_top = '';
			endfor; ?>

			<?php endif; ?>

		</div>
	
	</div>
	</div>

<?php endif; ?>

<?php 
if(empty($footer_row_middle_show)) {
$footer_row_middle_show = $jogasana_settings['show-footer-row-middle'];
}
if ( empty($footer_row_middle_columns_variations) ){
	$footer_row_middle_columns_variations = '{"4":[["3","3","3","3"]]}';
}
if ( empty($get_sidebars_middle_widgets) ){
	$get_sidebars_middle_widgets = array(
					'Footer Row - widget 1',
					'Footer Row - widget 2',
					'Footer Row - widget 3',
					'Footer Row - widget 4',
					'Footer Row - widget 5'
				);
}


if ( !empty($footer_row_middle_show) && $footer_row_middle_show ): 
$dop_columns_bot = '';
?>

	<div class="ys-fs-medium  main-footer medium-footer-col-<?php echo esc_attr(key( json_decode( html_entity_decode ( $footer_row_middle_columns_variations ), true ) )); ?> ">
    <div class="container <?php echo esc_attr($size); ?>">
		<div class="row">

			<?php if ( !empty($footer_row_middle_columns_variations) ):
				$number_of_middle_columns = key( json_decode( html_entity_decode ( $footer_row_middle_columns_variations ), true ) );
				$columns_middle_array = json_decode( html_entity_decode ( $footer_row_middle_columns_variations ), true );
				?>

				<?php for ( $i = 1; $i <= $number_of_middle_columns; $i++ ): ?>
				
				<?php if($number_of_middle_columns === 2 && $columns_middle_array[$number_of_middle_columns][0][$i-1] == 4 && $i == 2) {
					$dop_columns_bot = 'offset-xl-4';
				}
				
				if($columns_middle_array[$number_of_middle_columns][0][$i-1] == 12 ) {
					$dop_columns_bot .= ' col-md-12';
				} else {
					$dop_columns_bot .= ' col-md-6';
				}
				
				?>

					<div class="col-xl-<?php echo esc_attr($columns_middle_array[$number_of_middle_columns][0][$i-1]); ?> <?php echo esc_attr($dop_columns_bot); ?>">
						<?php if ( !dynamic_sidebar($get_sidebars_middle_widgets[$i-1]) ) : endif; ?>
					</div>

				<?php 
				$dop_columns_bot = '';
				endfor; ?>

			<?php endif; ?>

		</div>

	</div>
	</div>

<?php endif; ?>

<?php 
if($jogasana_config['footer_type'] == 'footer-1') { 
?>

<div class="container  <?php echo esc_attr($size); ?>">
	<?php if ( $jogasana_settings['show-footer-menu'] &&  $jogasana_config['footer_type'] == 'footer-1' ): ?>
		<?php echo Jogasana_Helper::main_navigation( 'menu-list', 'footer', 1 ); ?>
	<?php endif; ?>
	
	<div class="copyright">
		
		<?php if ( !empty($jogasana_settings['footer-copyright']) ): ?>
			<div class="copyright-text"><?php echo wpautop($jogasana_settings['footer-copyright']); ?></div>
		<?php endif; ?>
		
	</div>
</div>

<?php } ?>

<?php 
if($jogasana_config['footer_type'] == 'footer-2') { 
?>

<div class="container  <?php echo esc_attr($size); ?>">
<div class="copyright">
	<?php if ( !empty($jogasana_settings['footer-copyright']) ): ?>
		<?php echo wpautop($jogasana_settings['footer-copyright']); ?>
	<?php endif; ?>
	
</div>
</div>

<?php } ?>

<?php 
if($jogasana_config['footer_type'] == 'footer-3') { 
?>
<div class="copyright">
<div class="container  <?php echo esc_attr($size); ?>">

	<div class="flex-row align-items-center justify-content-between">
	<?php if ( !empty($jogasana_settings['footer-copyright']) ): ?>
		<div class="copyright-text"><?php echo wpautop($jogasana_settings['footer-copyright']); ?></div>
	<?php endif; ?>
	
		<div class="pay-box">
		  
		  <?php 
		  $pay_box1 = $jogasana_settings['footer-pay-box']['url'];
		  
		  if ( !empty($pay_box1) ): ?>
		  <a href="#"><img src="<?php echo esc_url(str_replace( array( 'http:', 'https:' ), '', $pay_box1)); ?>" alt="<?php echo esc_attr__('pay box','jogasana') ?>" ></a>
		  <?php endif; ?>
		  
		</div>
	
	</div>
	
</div>
</div>

<?php } ?>


<?php 
if($jogasana_config['footer_type'] == 'footer-4') { 
?>
<div class="copyright">
<div class="container  <?php echo esc_attr($size); ?>">

	<div class="flex-row align-items-center justify-content-between">
	<?php if ( !empty($jogasana_settings['footer-copyright']) ): ?>
		<div class="copyright-text"><?php echo wpautop($jogasana_settings['footer-copyright']); ?></div>
	<?php endif; ?>
	
		<ul class="social-icons">
		  
			<?php if ( $jogasana_settings['footer-social-linkedin']): ?>
				<li class="linkedin-icon"><a target="_blank" title="<?php echo esc_attr__('LinkedIn', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-linkedin']) ?>"><i class="icon-linkedin-3"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['footer-social-tumblr']): ?>
				<li class="tumblr-icon"><a target="_blank" title="<?php echo esc_attr__('Tumblr', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-tumblr']) ?>"><i class="icon-tumblr-1"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['footer-social-vimeo']): ?>
				<li class="vimeo-icon"><a target="_blank" title="<?php echo esc_attr__('Vimeo', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-vimeo']) ?>"><i class="icon-vimeo"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['footer-social-youtube']): ?>
				<li class="youtube-icon"><a target="_blank" title="<?php echo esc_attr__('Youtube', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-youtube']) ?>"><i class="icon-youtube-play"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['footer-social-facebook']): ?>
				<li class="fb-icon"><a target="_blank" title="<?php echo esc_attr__('Facebook', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-facebook']) ?>"><i class="icon-facebook"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['footer-social-twitter']): ?>
				<li class="tweet-icon"><a target="_blank" title="<?php echo esc_attr__('Twitter', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-twitter']) ?>"><i class="icon-twitter"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['footer-social-instagram']): ?>
				<li class="insta-icon"><a target="_blank" title="<?php echo esc_attr__('Instagram', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-instagram']) ?>"><i class="icon-instagram-5"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['footer-social-flickr']): ?>
				<li class="flickr-icon"><a target="_blank" title="<?php echo esc_attr__('Flickr', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['footer-social-flickr']) ?>"><i class="icon-flickr"></i></a></li>
			<?php endif; ?>		
		  
		</ul>
	
	</div>
	
</div>
</div>

<?php } ?>