
<?php global $jogasana_settings; ?>

	<?php if ( $jogasana_settings['header-type-2-sidebar'] ) {  ?>
	<!-- navigation sidebar -->
    <div id="navbar-menu" class="navbar-menu">
	  
	    <button type="button" id="navbar-close" class="nav-bttn close-bttn"></button>
		
        <div class="nav-inner">
		<?php if ( is_active_sidebar('top-widget-area') ) {
			dynamic_sidebar('Top Widget Area');
		} ?>
		</div>

    </div>
	<?php }  ?>

	<div class="top-header">
    <div class="flex-row align-items-center justify-content-between">
        
			<div class="logo-wrap">
			<?php echo jogasana_logo(); ?>
			</div>
			
			<div class="menu-holder">
			<div class="menu-wrap">
			<div class="nav-item">
			
				<nav id="main-navigation" class="ys-nav-wrap main-navigation">
				<?php echo Jogasana_Helper::main_navigation(); ?>
				</nav>
		
			</div>
			
			<?php if ( $jogasana_settings['header-type-2-social'] ) {  ?>
			<ul class="social-icons style-2">
			
			<?php if ( $jogasana_settings['header-social-linkedin']): ?>
				<li class="linkedin-icon"><a title="<?php echo esc_attr__('LinkedIn', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-linkedin']) ?>"><i class="icon-linkedin-3"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-tumblr']): ?>
				<li class="tumblr-icon"><a title="<?php echo esc_attr__('Tumblr', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-tumblr']) ?>"><i class="icon-tumblr-1"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-vimeo']): ?>
				<li class="vimeo-icon"><a title="<?php echo esc_attr__('Vimeo', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-vimeo']) ?>"><i class="icon-vimeo"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-youtube']): ?>
				<li class="youtube-icon"><a title="<?php echo esc_attr__('Youtube', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-youtube']) ?>"><i class="icon-youtube-play"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-facebook']): ?>
				<li class="fb-icon"><a title="<?php echo esc_attr__('Facebook', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-facebook']) ?>"><i class="icon-facebook"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-twitter']): ?>
				<li class="tweet-icon"><a title="<?php echo esc_attr__('Twitter', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-twitter']) ?>"><i class="icon-twitter"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-instagram']): ?>
				<li class="insta-icon"><a title="<?php echo esc_attr__('Instagram', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-instagram']) ?>"><i class="icon-instagram-5"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-flickr']): ?>
				<li class="flickr-icon"><a title="<?php echo esc_attr__('Flickr', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-flickr']) ?>"><i class="icon-flickr"></i></a></li>
			<?php endif; ?>		
			
			</ul>
			<?php }  ?>
			
			<?php if ( $jogasana_settings['header-type-2-sidebar'] ) {  ?>
			<button type="button" class="navbar-toggle nav-bttn"></button>
			<?php }  ?>
			
			</div>
			</div>

	</div>
	</div>

