
<?php global $jogasana_settings; ?>

	<?php if ( $jogasana_settings['header-type-4-search'] ): ?>
		<div class="searchform-wrap">
        <div class="vc-child h-inherit">

          <form method="get"  class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
            <button type="submit" class="search-button"></button>
            <div class="wrapper">
              <input type="text" name="s"  value="<?php echo get_search_query(); ?>" placeholder="<?php esc_attr_e( 'Start typing...', 'jogasana' ) ?>">
            </div>
          </form>

          <button class="close-search-form"></button>

		</div>
		</div>
	<?php endif; ?>
	
	<?php if ( $jogasana_settings['header-type-4-top-bar'] ) {  ?> 
	<div class="pre-header">
    <div class="flex-row justify-content-between">
	
		 <div class="our-info">
                    
            <div class="info-item">
              <i class="licon-telephone"></i>
              <div class="wrapper">
                <span content="telephone=no"><?php echo wp_kses_post($jogasana_settings['header-top-phone']) ?></span>
              </div>
            </div>
            <div class="info-item">
              <i class="licon-at-sign"></i>
              <div class="wrapper">
                <a href="mailto:<?php echo antispambot($jogasana_settings['header-top-email']) ?>"><?php echo esc_html($jogasana_settings['header-top-email']) ?></a>
              </div>
            </div>
          
          </div>
		  
		<div class="right-actions">
            <div class="login-area">
			<?php if ( $jogasana_settings['header-type-1-login'] ): ?>
			<?php 
				$accountPage = wp_login_url();
				if (class_exists('WooCommerce')){
					$accountPage = get_permalink(get_option('woocommerce_myaccount_page_id'));
				}
			?>
			<?php if (is_user_logged_in()) { ?>
               
			<a class="popup-btn-login" href="<?php echo wp_logout_url(esc_url(home_url('/'))) ?>" ><?php esc_html_e( 'Login', 'jogasana' ) ?></a>

			<?php } else { ?>
				
			<a class="popup-btn-login" href="<?php echo esc_url(wp_login_url(get_permalink())) . '&modal_login=true#login'; ?>"><?php esc_html_e( 'Login', 'jogasana' ) ?></a>
				
			<?php } ?>
			<?php endif; ?>
			
				&nbsp;|&nbsp;
              <a href="<?php echo esc_url(wp_login_url(get_permalink())) . '&modal_login=true#login'; ?>" class="popup-btn-sign"><?php esc_html_e( 'Register', 'jogasana' ) ?></a>
			</div>
			 
			
			<ul class="social-icons style-2">
			<?php if ( $jogasana_settings['header-social-linkedin']): ?>
				<li class="linkedin-icon"><a title="<?php echo esc_attr__('LinkedIn', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-linkedin']) ?>"><i class="icon-linkedin-3"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-tumblr']): ?>
				<li class="tumblr-icon"><a title="<?php echo esc_attr__('Tumblr', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-tumblr']) ?>"><i class="icon-tumblr-1"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-vimeo']): ?>
				<li class="vimeo-icon"><a title="<?php echo esc_attr__('Vimeo', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-vimeo']) ?>"><i class="icon-vimeo"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-youtube']): ?>
				<li class="youtube-icon"><a title="<?php echo esc_attr__('Youtube', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-youtube']) ?>"><i class="icon-youtube-play"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-facebook']): ?>
				<li class="fb-icon"><a title="<?php echo esc_attr__('Facebook', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-facebook']) ?>"><i class="icon-facebook"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-twitter']): ?>
				<li class="tweet-icon"><a title="<?php echo esc_attr__('Twitter', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-twitter']) ?>"><i class="icon-twitter"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-instagram']): ?>
				<li class="insta-icon"><a title="<?php echo esc_attr__('Instagram', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-instagram']) ?>"><i class="icon-instagram-5"></i></a></li>
			<?php endif; ?>

			<?php if ( $jogasana_settings['header-social-flickr']): ?>
				<li class="flickr-icon"><a title="<?php echo esc_attr__('Flickr', 'jogasana') ?>" href="<?php echo esc_url($jogasana_settings['header-social-flickr']) ?>"><i class="icon-flickr"></i></a></li>
			<?php endif; ?>		
			</ul>
			
		</div>
		
	</div>
	</div>
	<?php } ?>
	
	<div class="top-header">
    <div class="flex-row align-items-center justify-content-between">
        
			<div class="logo-wrap">
			<?php echo jogasana_logo(); ?>
			</div>
			
			<div class="menu-holder">
			<div class="menu-wrap">
			<div class="nav-item">
			
				<nav id="main-navigation" class="ys-nav-wrap main-navigation">
				<?php echo Jogasana_Helper::main_navigation(); ?>
				</nav>
		
			</div>
			
			<?php if ( $jogasana_settings['header-type-4-search'] ): ?>
				<div class="search-holder">
				<button type="button" class="search-button"></button>
				</div>
			<?php endif; ?>
			
			</div>
			</div>
			
	</div>
	</div>
	