
<?php global $jogasana_settings; ?>

	<?php if ( $jogasana_settings['header-type-6-search'] ): ?>
		<div class="searchform-wrap">
        <div class="vc-child h-inherit">

          <form method="get"  class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
            <button type="submit" class="search-button"></button>
            <div class="wrapper">
              <input type="text" name="s"  value="<?php echo get_search_query(); ?>" placeholder="<?php esc_attr_e( 'Start typing...', 'jogasana' ) ?>">
            </div>
          </form>

          <button class="close-search-form"></button>

		</div>
		</div>
	<?php endif; ?>
	
	<div class="top-header">
    <div class="flex-row align-items-center justify-content-<?php echo esc_attr($jogasana_settings['align-menu']); ?>">
        
			<div class="logo-wrap">
			<?php echo jogasana_logo(); ?>
			</div>
			
			<div class="menu-holder">
			<div class="menu-wrap">
			<div class="nav-item">
			
				
				<nav id="main-navigation" class="ys-nav-wrap main-navigation">
				<?php echo Jogasana_Helper::main_navigation(); ?>
				</nav>
		
			</div>
			
			<?php if ( $jogasana_settings['header-type-6-search'] ): ?>
				<div class="search-holder">
				<button type="button" class="search-button"></button>
				</div>
			<?php endif; ?>
			
			<?php if ( $jogasana_settings['header-type-6-login'] ): ?>
			<?php 
				$accountPage = wp_login_url();
				if (class_exists('WooCommerce')){
					$accountPage = get_permalink(get_option('woocommerce_myaccount_page_id'));
				}
			?>
			<?php if (is_user_logged_in()) { ?>
               
			<a class="account popup-btn-login" href="<?php echo wp_logout_url(esc_url(home_url('/'))) ?>" ></a>

			<?php } else { ?>
				<ul class="ls-none">
				<li class="lwa">
				<a class="<?php echo jogasana_get_login_link_class( 'account popup-btn-login' ); ?>" href="<?php echo esc_url(wp_login_url(get_permalink())) . '&modal_login=true#login'; ?>"></a>
				</li>
				</ul>
			<?php } ?>
			<?php endif; ?>
			
			<?php if( class_exists('WooCommerce') ) { ?>
						  
				<?php if ( JOGASANA_WOOCOMMERCE_CONFIG::is_realy_woocommerce_page() ): ?>
				  
				  <?php
						global $woocommerce;
						$count = count( $woocommerce->cart->get_cart() );
						$cart_url = wc_get_cart_url();
				  ?>
				  
				<div class="shop-cart">
					<button class="sc-cart-btn dropdown-invoker"><span class="licon-cart"></span></button>
				  
					<div class="shopping-cart dropdown-window">
					<div class="widget_shopping_cart_content products-holder"></div>
					</div>
				  
				 </div>
				  
				<?php endif; ?>
				  
			<?php } ?>
						
			<?php if ( $jogasana_settings['header-type-6-button'] ): ?>
				<a class="btn popup-btn btn-big btn-style-3" href="<?php echo esc_url($jogasana_settings['header-button-url6']) ?>"><?php echo esc_html($jogasana_settings['header-button-title6']) ?></a>
			<?php endif; ?>
			
			</div>
			</div>
			
	</div>
	</div>
	