<?php
global $jogasana_settings;

    $next_post = get_next_post();
    $prev_post = get_previous_post();
    $next_post_url = $prev_post_url = "";
	$next_post_title = $prev_post_title = "";
	$link_to_website = $jogasana_settings['portfolio-link'];

    if ( is_object($next_post) ) {
        $next_post_url = get_permalink($next_post->ID);
        $next_post_title = $next_post->post_title;
    }
    if ( is_object($prev_post) ) {
        $prev_post_url = get_permalink($prev_post->ID);
		$prev_post_title = $prev_post->post_title;
    }
	
?>

<?php if ( !empty($prev_post_url) || !empty($next_post_url) ): ?>


	<?php $prev_post_text = esc_html__('Previous Post', 'jogasana') ?>

	<?php $next_post_text = esc_html__('Next Post', 'jogasana') ?>


<div class="post-nav">
            
    <div class="row align-items-center">
      
	  <div class="col-4">
	  <?php if ( !empty($prev_post_url) ): ?>
      <a href="<?php echo esc_url($prev_post_url) ?>" class="link-text"><?php echo esc_html($prev_post_text); ?></a>
	  <h6><a href="<?php echo esc_url($prev_post_url) ?>"><?php echo esc_html($prev_post_title); ?></a></h6>
       <?php endif; ?>
	   </div>
       
      <div class="col-4">
	  <div class="align-center">
	  <?php if (!empty($link_to_website)): ?>
      <a href="<?php echo esc_url($link_to_website); ?>" class="menu-button"><i class="licon-icons"></i></a>
      <?php endif; ?>
	  </div>
	  </div>
      
      <div class="col-4">
	  <div class="align-right">
	  <?php if (!empty($next_post_url)): ?>
      <a href="<?php echo esc_url($next_post_url) ?>" class="link-text"><?php echo esc_html($next_post_text); ?></a>
	  <h6><a href="<?php echo esc_url($next_post_url) ?>"><?php echo esc_html($next_post_title); ?></a></h6>
       <?php endif; ?>
	   </div>
	   </div>
    
    </div>
	
</div>

<?php endif; ?>