<?php get_header('404'); ?>

<?php global $jogasana_settings;
$error_content = $jogasana_settings['error-content'];
?>

	<div class="page-404-section">
	
		<div class="container">
       
            <h1 class="title" ><?php esc_html_e('404', 'jogasana') ?></h1>
            <p class="text-size-big"><?php esc_html_e("We're sorry, but we can't find the page you were looking for.", "jogasana") ?></p>
    
            <?php echo wp_kses_post(wpautop($error_content)); ?>
    
                <form class="search-holder newsletter" method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                  <input type="text" autocomplete="off" name="s" id="s" placeholder="<?php esc_attr_e( 'Search the site', 'jogasana' ) ?>" value="<?php echo get_search_query(); ?>">
               
				  <button type="submit" class="btn btn-big btn-style-3"><?php echo esc_html__("Search","jogasana") ?></button>
                  
                </form>
           
        </div>

	</div>

<?php get_footer('404'); ?>