<?php

if ( ! function_exists('jogasana_vc_manager') ) {
	function jogasana_vc_manager() {
		return Jogasana_Vc_Config::getInstance();
	}
}

if ( ! function_exists('jogasana_vc_asset_url') ) {
	function jogasana_vc_asset_url( $file ) {
		return jogasana_vc_manager()->assetUrl( $file );
	}
}

if ( ! function_exists('jogasana_get_sort_classes') ) {
	function jogasana_get_sort_classes() {
		$classes = "";
		$item_categories = get_the_terms( get_the_ID(), 'portfolio_categories' );
		if ( is_object($item_categories) || is_array($item_categories) ) {
			foreach ($item_categories as $cat) {
				$classes .= $cat->slug . ' ';
			}
		}
		return str_replace( '%', '', $classes );
	}
}

