<?php

class WPBakeryShortCode_VC_mad_instagram_widget extends WPBakeryShortCode {

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' => '',
			'cols' => 5,
			'type' => 'type1',
			'number' => 5,
		), $atts, 'vc_mad_instagram_widget');
		
		$html = $this->html();

		return $html;
	}

	function html() {
		$output = '';
		extract($this->atts);

		ob_start(); ?>
		
		<?php if ( $type == 'type1' ) { ?>
		
			<div id="instafeed" class="jogasana_widget_instagram instagram-feed style-2 type-1">
			
			<div class="insta-title">
				  <i class="icon-instagram-5"></i>
				  <h5><?php echo wp_kses_post($title) ?></h5>
			</div>
			<?php echo do_shortcode('[instagram-feed imagepadding=0 showheader=false showbutton=false cols='.$cols.' num='.$number.' showfollow=false ]'); ?>
			
			</div>
			
		
		<?php } elseif ( $type == 'type2' ) { ?>
		
		<div class="jogasana_widget_instagram type-2">
		
		<div class="insta-title align-center">
              <i class="icon-instagram-5"></i>
              <h5><?php echo wp_kses_post($title) ?></h5>
        </div>
		
		
		<?php echo do_shortcode('[instagram-feed imagepadding=0 showheader=false showbutton=false cols='.$cols.' num='.$number.' showfollow=false ]'); ?>
		
		</div>
		
		<?php } ?>		
		
		<?php return ob_get_clean();
	}

}