(function ($) {
	"use strict"; 

	/*	LOAD READY
	/* --------------------------------------------- */

	$(window).load(function () {
		
		var qty = $('form.cart .quantity'),
		 qty_cart = $('form.woocommerce-cart-form .quantity');
		qty.append('<button type="button" class="qty-plus"><i class="licon-plus"></i></button><button type="button" class="qty-minus"><i class="licon-minus"></i></button>');
		
		qty_cart.append('<button type="button" class="qty-plus"><i class="licon-plus"></i></button><button type="button" class="qty-minus"><i class="licon-minus"></i></button>');
			
		/* ---------------------------------------------------- */
        /*	Quantity											*/
        /* ---------------------------------------------------- */

		$(document).on( 'click', '.qty-plus, .qty-minus', function (e) {
					e.preventDefault();
					// Get values
					var $qty		= $( this ).closest( '.quantity' ).find( '.input-text' ),
						currentVal	= parseFloat( $qty.val() ),
						max			= parseFloat( $qty.attr( 'max' ) ),
						min			= parseFloat( $qty.attr( 'min' ) ),
						step		= $qty.attr( 'step' );

					// Format values
					if ( ! currentVal || currentVal === '' || currentVal === 'NaN' ) currentVal = 0;
					if ( max === '' || max === 'NaN' ) max = '';
					if ( min === '' || min === 'NaN' ) min = 0;
					if ( step === 'any' || step === '' || step === undefined || parseFloat( step ) === 'NaN' ) step = 1;

					// Change the value
					if ( $( this ).is( '.qty-plus' ) ) {
						if ( max && ( max == currentVal || currentVal > max ) ) {
							$qty.val( max );
						} else {
							$qty.val( currentVal + parseFloat( step ) );
						}
					} else {
						if ( min && ( min == currentVal || currentVal < min ) ) {
							$qty.val( min );
						} else if ( currentVal > 0 ) {
							$qty.val( currentVal - parseFloat( step ) );
						}
					}

					// Trigger change event
					$qty.trigger( 'change' );
				});
	});

	/*	DOM READY
	/* --------------------------------------------- */

	$(function () {

	$('.widget_product_search button').html('<i class="licon-magnifier"></i>');
		
	
	//product-gallery carousel

		if($('.woocommerce-product-gallery--with-images .flex-control-nav').length){
			$('.woocommerce-product-gallery--with-images .flex-control-nav').each(function(){
					
					/* Max items counting */
					var data = $(this).data();
					console.log(data);
					var max_items = 4;
					var tablet_items = max_items;
					if(max_items > 1){
						tablet_items = max_items - 1;
					}
					var mobile_items = 1;

					var autoplay_carousel = $(this).data('autoplay');
					var is_rtl = ( jogasana_global_vars.rtl == '1' );	
					
				var owl = $('.woocommerce-product-gallery--with-images .flex-control-nav').owlCarousel({
					items : max_items,
					margin : 10,
					URLhashListener : false,
					navSpeed : 800,
					nav : true,
					dots: false,
					rtl: is_rtl,
					navText:false,
					responsive : {
						0:{
							items:tablet_items
						},
						400:{
							items:max_items
						},
						481:{
							items:tablet_items
						},
						980:{
							items:max_items
						}
					}
				});
	
			});
			
		}	
		
	$('body').on('added_to_cart', function (e, fragments, cart_hash) {

		var sum = 0;
		$("#header:not([class*='clone-']) .woocommerce-mini-cart").find(".woocommerce-mini-cart-item").each(function(){
			sum += 1;
		});
		
		$('.sc-cart-btn .licon-cart').attr('data-amount', sum);

	});
	
		$(document).on('click', '.mini_cart_item a.remove', function (e)
		{
			e.preventDefault();
			
			var sum = 0;
				$("#header:not([class*='clone-']) .woocommerce-mini-cart").find(".woocommerce-mini-cart-item").each(function(){
					sum += 1;
				});
				
				$('.sc-cart-btn .licon-cart').attr('data-amount', sum-1);
			
		});


	});

})(jQuery);

