<?php

if ( !function_exists('jogasana_logo') ) {

	function jogasana_logo() {
		global $jogasana_settings, $jogasana_config;

		$header_type = $jogasana_config['header_type'];
		$logo = $jogasana_settings['logo']['url'];
		$logo_hidpi = $jogasana_settings['logo_hidpi']['url'];
		
		if($header_type == 'ys-type-1') {
			$logo = $jogasana_settings['logo']['url'];
			$logo_hidpi = $jogasana_settings['logo_hidpi']['url'];
		} elseif($header_type == 'ys-type-2') {
			$logo = $jogasana_settings['logo2']['url'];
			$logo_hidpi = $jogasana_settings['logo2_hidpi']['url'];
		} elseif($header_type == 'ys-type-3') {
			$logo = $jogasana_settings['logo3']['url'];
			$logo_hidpi = $jogasana_settings['logo3_hidpi']['url'];
		} elseif($header_type == 'ys-type-4') {
			$logo = $jogasana_settings['logo4']['url'];
			$logo_hidpi = $jogasana_settings['logo4_hidpi']['url'];
		} elseif($header_type == 'ys-type-5') {
			$logo = $jogasana_settings['logo5']['url'];
			$logo_hidpi = $jogasana_settings['logo5_hidpi']['url'];
		} 
		
		ob_start();

		if ( !$logo ): ?>

			<h1 class="ys-logo"><?php else : ?><?php endif; ?>

				<a class="ys-logo logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?> - <?php bloginfo( 'description' ); ?>" rel="home">
					<?php if ( $logo ) {
						echo '<img class="ys-standard-logo" src="' . esc_url(str_replace( array( 'http:', 'https:' ), '', $logo)) . '" srcset="'. esc_url( str_replace( array( 'http:', 'https:' ), '', $logo_hidpi ) ) .' 2x" alt="' . esc_attr( get_bloginfo( 'name', 'display' ) ) . '" />';
					} else {
						bloginfo( 'name' );
					} ?>
				</a>

		<?php if ( !$logo ) : ?></h1><?php else : ?><?php endif;

		return apply_filters( 'jogasana_logo', ob_get_clean() );
	}

}

if ( !function_exists('jogasana_footer_logo') ) {

	function jogasana_footer_logo() {
		global $jogasana_settings, $jogasana_config;

		$logo = $jogasana_settings['footer-logo']['url'];
		$logo_hidpi = $jogasana_settings['footer_logo_hidpi']['url'];
		
		ob_start();

		if ( !$logo ): ?>

			<h1 class="ys-logo"><?php else : ?><?php endif; ?>

				
					<?php if ( $logo ) {
						echo '<img class="ys-standard-logo" src="' . esc_url(str_replace( array( 'http:', 'https:' ), '', $logo)) . '" srcset="'. esc_url( str_replace( array( 'http:', 'https:' ), '', $logo_hidpi ) ) .' 2x"  alt="' . esc_attr( get_bloginfo( 'name', 'display' ) ) . '" />';
					} ?>
				

		<?php if ( !$logo ) : ?></h1><?php else : ?><?php endif;

		return apply_filters( 'jogasana_footer_logo', ob_get_clean() );
	}

}