;(function($){

	'use strict';

	$(function(){

		$('.current-menu-item').addClass('current');
		$('.current_page_parent').addClass('current');
		$('.current_page_item').addClass('current');
		$('.ys-navigation>.current_page_ancestor').addClass('current');
		$("#main-navigation ul.sub-menu").wrap("<div class='sub-menu-wrap'></div>");
		$("#main-navigation ul.children").wrap("<div class='sub-menu-wrap'></div>");
		$('.sub-menu-wrap .sub-menu-wrap').addClass('sub-menu-inner');
		$('.sub-menu-wrap .menu-item-has-children').addClass('sub');
		
		$('#sidebar .widget_meta ul').addClass('custom-list style-2');
		$('#sidebar .widget_pages ul').addClass('custom-list style-2');
		$('#sidebar .widget_archive ul').addClass('custom-list style-2');
		$('#sidebar .widget_categories ul').addClass('custom-list style-2');
		$('#sidebar .widget_recent_entries ul').addClass('info-links comment-type');
		$('#sidebar .widget_recent_comments ul').addClass('info-links comment-type');
		$('#sidebar .widget_rss ul').addClass('custom-list style-2');
		$('#sidebar .widget_nav_menu ul').addClass('custom-list style-2');		
		$('.pt-features-list ul').addClass('custom-list');
		$('#sidebar .widget_product_categories ul').addClass('custom-list style-2');		
		$('.blockquote-holder.testimonial blockquote').addClass('align-center');
		$('#footer.footer .col-xl-12 .widget_nav_menu ul.menu').addClass('menu-list');
		$('#footer.footer [class*="col-xl-"]:not(.col-xl-12) .widget_nav_menu ul.menu').addClass('menu-list style-2');
		$('#footer.footer [class*="col-xl-"]:not(.col-xl-12) .widget_nav_menu ul.menu').addClass('menu-list style-2');
		$('#footer.footer .widget_meta ul').addClass('menu-list style-2');
		
		$('#navbar-menu .widget_nav_menu ul').addClass('menu-list style-2');
		$('#navbar-menu .widget_social_with_icon ul').addClass('var2');
		$('.latest-tweets ul').addClass('tweets_list');
		
		$('.ys-list.type-2 ul').addClass('custom-list type-2');
		$('.ys-list.type-3 ul').addClass('custom-list type-3');
		$('.ys-list.type-4 ul').addClass('custom-list type-4');
		
		$('.give-submit.give-btn').addClass('btn btn-style-3');
		
		document.addEventListener("touchstart", function() {},false);

		if ('ontouchstart' in document.documentElement) {
			$('body').css('cursor', 'pointer');
		}
		
		$(document).ready( function() {

		//enableMobileNav();
		
		$('.ys-page-content-wrap ul').each(function() {
			if (this.className == "") $(this).addClass('default custom-list type-1');
		});
		$('.ys-page-content-wrap ol').each(function() {
			if (this.className == "") $(this).addClass('default custom-list');
		});
		
		$('form.post-password-form input[type="submit"]').addClass('btn btn-big btn-style-3');
		
		$('.ys-page-content-wrap blockquote').each(function() {
			if (this.className == "") {
				$(this).addClass('default align-center');
				$(this).wrap("<div class='blockquote-holder with-bg'></div>");
				
			}
		});
		
		// Share Popup

		$('.share_popup').on('click', function() {

	        $('#share_popup_holder').fadeIn("slow");
	        
	    });

	    $(document).mouseup(function (e) {

		    var container = $("#share_popup_holder");
		    if (container.has(e.target).length === 0){
		        container.fadeOut("slow");
		    }

		});

		$('body').on('click.shareButton', '.post-share-button', function (e) {

					e.preventDefault();

					var $this = $(this),
						data = {};

					data.action = $this.data('modal-action');
					data.post_id = $this.data('post-id');
					data._wpnonce = $this.data('modal-nonce');

					if ( data.action == 'undefined' ) return;

					$.arcticmodal({
						type: 'ajax',
						url: jogasana_global_vars.ajaxurl,
						ajax: {
							type: 'POST',
							data: data,
							cache: false,
							success: function (data, el, response) { data.body.html(response); }
						},
						afterLoadingOnShow: function (obj) { },
						overlay: {
							css: {
								backgroundColor: "#000",
								opacity: '.7'
							}
						},
						afterClose: function () { }
					});

				});
		
	});

	
	/* Mobile Navigation */
	function enableMobileNav(){

		/* Dropdowns */
		$('#mobile-advanced>ul li').each(function(){
			
			if($(this).find('ul').length > 0){
				$(this).append('<div class="dropdown-button"></div>');
			}
			
		});
		
		$('#mobile-advanced>ul .dropdown-button').on( "click", function(){
			
			$(this).parent().toggleClass('dropdown-opened').find('>ul').slideToggle(300);
			
		});
		
		
	}	 
	
		/* ---------------------------------------------------- */
		/*	Newsletter								    */
		/* ---------------------------------------------------- */
		if ($('.cp_newsletter').length) {
			//$('.message-container-subscribe').fadeOut('slow');
		
			$('.cp_newsletter').each(function(){
				
				$(this).on('submit', function (e) {
					e.preventDefault();

					var $this = $(this);
					var message =  $(this).find('.message-container-subscribe');
					
					$(this).find('.ajax-loader').show();
					$this.ajaxSubmit({
						type	: 'POST',
						url		: jogasana_global_vars.ajaxurl,
						data	: { 
						ajax_nonce : jogasana_global_vars.ajax_nonce, 
						action : 'add_to_mailchimp_list' 
						},
						timeout	: 10000,
						dataType: 'json',
						success	: function (responseText) {
							message.html('<div class="alert-box warning"><p>'+responseText.text+'</p></div>')
							.slideDown()
							.delay(4000)
							.slideUp(function(){
							  $(this).html("");
							});
							
							$(this).find('.ajax-loader').hide();

							$this.trigger('reset');
						}
					});
				});
			 
			});  
		}

		/* ---------------------------------------------------- */
		/*	Animate a regular anchor navigation					*/
		/* ---------------------------------------------------- */

	    if ($('a.animated').length) {

	    	$('body').localScroll({
	           hash: true,
	           filter: '.animated',
	           onBefore: function(){
                 this.offset = -100;
               }
	        });

	    }

		
		/* ---------------------------------------------------- */
		/*	Background size screen								*/
		/* ---------------------------------------------------- */

	    if ($('.full-scr').length) {

	    	$('.full-scr').css('height', window.innerHeight+'px');

	    }
		
	    /* ---------------------------------------------------- */
        /*	Isotope												*/
        /* ---------------------------------------------------- */

		$( window ).on('load', function() {

		  	var $container = $('.isotope');
		    // filter buttons
		    $('#filters button').on('click', function(){
		    	var $this = $(this);
		        // don't proceed if already selected
		        if ( !$this.hasClass('is-checked') ) {
		          $this.parents('#options').find('.is-checked').removeClass('is-checked');
		          $this.addClass('is-checked');
		        }
				var selector = $this.attr('data-filter');
				$container.isotope({  itemSelector: '.item', filter: selector, isOriginLeft: !$.mad_core.SUPPORT.ISRTL });
				return false;
		    });

		    $.mad_core.isotope();
		     
		});

		/* ---------------------------------------------------- */
        /*	Gallery carousel									*/
        /* ---------------------------------------------------- */

	  	$( window ).on('load', function() {
		
		var pageCarousel = $('.owl-carousel');

		if(pageCarousel.length){

			$('.owl-carousel').not('#thumbnails').each(function(){
	
				/* Max items counting */
				var max_items = $(this).data('max-items');
				var tablet_items = max_items;
				if(max_items >= 4){
					tablet_items = 2;
				} else if(max_items >= 3){
					tablet_items = 2;
				}else{
					tablet_items = 1;
				}
				var smart_items = max_items;
				if(max_items > 4){
					smart_items = 2;
				}else{
					smart_items = 1;
				}
				if(max_items < 2){
					smart_items = max_items;
					tablet_items = max_items;
				}
				
				var mobile_items = 1;
				
				var max_items_min = max_items;

				var autoplay_carousel = $(this).data('autoplay');

				var center_carousel = $(this).data('center');

				var item_margin = $(this).data('item-margin');
				
				if($(this).data('max-items-min')) {
					max_items_min = $(this).data('max-items-min');
				}
				
				var autoplay_timeout = 5000;
				if($(this).data('timeout')) {
					autoplay_timeout = $(this).data('timeout');
				}
				
				/* Install Owl Carousel */
				$(this).owlCarousel({
				    smartSpeed : 450,
				    nav : true,
				    loop  : true,
				    autoplay : autoplay_carousel,
				    center: center_carousel,
				    autoplayTimeout: autoplay_timeout,
				    navText : false,
				    margin: item_margin,
				    lazyLoad: true,
				    rtl: $.mad_core.SUPPORT.ISRTL ? true : false,
				    responsiveClass:true,
				    responsive : {
				        0:{
				            items:mobile_items
				        },
				        480:{
				        	items:smart_items
				        },
				        768:{
				            items:tablet_items
				        },
						992:{
				            items:tablet_items
				        },
				        1280:{
				            items:max_items_min
				        },
						 1680:{
				            items:max_items
				        }
				    }
				});


			});

			if($('#thumbnails').length){
				$('#thumbnails').each(function(){
					
					/* Max items counting */
					var max_items = $(this).data('max-items');
					var tablet_items = max_items;
					if(max_items > 1){
						tablet_items = max_items - 1;
					}
					var smart_items = max_items;
					if(max_items > 3){
						smart_items = max_items - 2;
					}else{
						smart_items = max_items - 1;
					}
					var mobile_items = 1;

					var autoplay_carousel = $(this).data('autoplay');

					var center_carousel = $(this).data('center');

					var item_margin = $(this).data('item-margin');
					
					$(this).owlCarousel({
						items : max_items,
						URLhashListener : false,
						navSpeed : 800,
						nav : true,
						margin: 10,
						loop : false,
						rtl: $.mad_core.SUPPORT.ISRTL ? true : false,
						navText:false,
						responsive : {
					        0:{
					            items:tablet_items
					        },
					        481:{
					            items:max_items
					        }
					    }
				    });
				});
			    
			}
		}
		
		});

		
		
	$(window).on('load', function() {

		if ( $('.lwa-modal').length ) {

				$('.jogasana-lwa-open-remember-form').add('.jogasana-js-lwa-close-remember-form').on( 'click', function (e) {
					e.stopPropagation(); e.preventDefault();

					$('.js-lwa-login, .js-lwa-remember').toggleClass('jogasana-form-visible');
				});

				$('.js-lwa-open-register-form').on('click', function(e) {
					e.stopPropagation(); e.preventDefault();

					$('.js-lwa-login, .js-lwa-register').toggleClass('jogasana-form-visible');
				});

				$('.lwa-links-register-inline-cancel').on('click', function(e) {
					e.stopPropagation(); e.preventDefault();

					$('.js-lwa-login').addClass('jogasana-form-visible');
					$('.js-lwa-register').removeClass('jogasana-form-visible');
				});


			}

	});
		
		
		
		
		/* ---------------------------------------------------- */
        /*	Tabs												*/
        /* ---------------------------------------------------- */

        $(window).on("load",function(){

        	var tabs = $('.tabs-section');
			if(tabs.length){
				tabs.tabs({
					beforeActivate: function(event, ui) {
				        var hash = ui.newTab.children("li a").attr("href");
				   	},
					hide : {
						effect : "fadeOut",
						duration : 450
					},
					show : {
						effect : "fadeIn",
						duration : 450
					},
					updateHash : false
				});
			}

			/* ------------------------------------------------
				Tabs - opacity
			------------------------------------------------ */

			var tabs = $('.mad-tabs');

			if(tabs.length){

				tabs.MadTabs({
					easing: 'easeOutQuint',
					speed: 600,
					cssPrefix: 'mad-'
				});

			}

        });

		/* ---------------------------------------------------- */
        /*	Loader												*/
        /* ---------------------------------------------------- */

		if ( $('body').hasClass('loading-overlay-1') ) {

        	$("body").queryLoader2({
		        backgroundColor: '#fff',
		        barColor : jogasana_global_vars.loading_color,
		        barHeight: 4,
		        deepSearch:true,
		        minimumTime:1000,
		        onComplete: function(){
		        	$(".loader").fadeOut('200');
		        }
	      	});

        }

		/* ---------------------------------------------------- */
        /*	Sticky menu											*/
        /* ---------------------------------------------------- */

		if ( $('header').hasClass('sticky-header') ) {
			
		$('body').Temp({
			sticky: true
		});
		
		}

		/* ---------------------------------------------------- */
        /*	Accordion & Toggle									*/
        /* ---------------------------------------------------- */

		var aItem = $('.accordion:not(.toggle) .accordion-item'),
			link = aItem.find('.a-title'),
			$label = aItem.find('label'),
			aToggleItem = $('.accordion.toggle .accordion-item'),
			tLink = aToggleItem.find('.a-title');

			aItem.add(aToggleItem).children('.a-title').not('.active').next().hide();

		function triggerAccordeon($item) {
			$item
			.addClass('active')
			.next().stop().slideDown()
			.parent().siblings()
			.children('.a-title')
			.removeClass('active')
			.next().stop().slideUp();
		}


		if ($label.length) {
			$label.on('click',function(){
				triggerAccordeon($(this).closest('.a-title'))
			});
		} else {
			link.on('click',function(){
				triggerAccordeon($(this))
			});
		}

		tLink.on('click',function(){
			$(this).toggleClass('active')
			.next().stop().slideToggle();

		});


		/* ---------------------------------------------------- */
        /*	Quantity											*/
        /* ---------------------------------------------------- */

		var q = $('.quantity');

		q.each(function(){
			var $this = $(this),
				button = $this.children('button'),
				input = $this.children('input[type="text"]'),
				val = +input.val();

			button.on('click',function(){
				if($(this).hasClass('qty-minus')){
					if(val === 1) return false;
					input.val(--val);
				}
				else{
					input.val(++val);
				}
			});
		});

	});

})(jQuery);

/* jQuery SelectBox Styler v1.0.1 | (c) Dimox | [url]http://dimox.name/styling-select-boxes-using-jquery-css/[/url] */
(function($){$.fn.selectbox=function(){$(this).each(function(){var select=$(this);if(select.prev('span.selectbox').length<1){function doSelect(){var option=select.find('option');var optionSelected=option.filter(':selected');var optionText=option.filter(':first').text();if(optionSelected.length)optionText=optionSelected.text();var ddlist='';for(i=0;i<option.length;i++){var selected='';var disabled=' class="disabled"';if(option.eq(i).is(':selected'))selected=' class="selected sel"';if(option.eq(i).is(':disabled'))selected=disabled;ddlist+='<li'+selected+'>'+option.eq(i).text()+'</li>';}var selectbox=$('<span class="selectbox" style="display:inline-block;position:relative">'+'<div class="select" style="float:left;position:relative;z-index:10000"><div class="text">'+optionText+'</div>'+'<b class="trigger"><i class="arrow"></i></b>'+'</div>'+'<div class="dropdown" style="position:absolute;z-index:9999;overflow:auto;overflow-x:hidden;list-style:none">'+'<ul class="ls-none" >'+ddlist+'</ul>'+'</div>'+'</span>');select.before(selectbox).css({position:'absolute',top:-9999});var divSelect=selectbox.find('div.select');var divText=selectbox.find('div.text');var dropdown=selectbox.find('div.dropdown');var li=dropdown.find('li');var selectHeight=selectbox.outerHeight();if(dropdown.css('left')=='auto')dropdown.css({left:0});if(dropdown.css('top')=='auto')dropdown.css({top:selectHeight});var liHeight=li.outerHeight();var position=dropdown.css('top');dropdown.hide();divSelect.click(function(){var topOffset=selectbox.offset().top;var bottomOffset=$(window).height()-selectHeight-(topOffset-$(window).scrollTop());if(bottomOffset<0||bottomOffset<liHeight*6){dropdown.height('auto').css({top:'auto',bottom:position});if(dropdown.outerHeight()>topOffset-$(window).scrollTop()-20){dropdown.height(Math.floor((topOffset-$(window).scrollTop()-20)/liHeight)*liHeight);}}else if(bottomOffset>liHeight*6){dropdown.height('auto').css({bottom:'auto',top:position});if(dropdown.outerHeight()>bottomOffset-20){dropdown.height(Math.floor((bottomOffset-20)/liHeight)*liHeight);}}$('span.selectbox').css({zIndex:1}).removeClass('focused');selectbox.css({zIndex:2});if(dropdown.is(':hidden')){$('div.dropdown:visible').hide();dropdown.show();}else{dropdown.hide();}return false;});li.hover(function(){$(this).siblings().removeClass('selected');});var selectedText=li.filter('.selected').text();li.filter(':not(.disabled)').click(function(){var liText=$(this).text();if(selectedText!=liText){$(this).addClass('selected sel').siblings().removeClass('selected sel');option.removeAttr('selected').eq($(this).index()).attr('selected',true);selectedText=liText;divText.text(liText);select.change();}dropdown.hide();});dropdown.mouseout(function(){dropdown.find('li.sel').addClass('selected');});select.focus(function(){$('span.selectbox').removeClass('focused');selectbox.addClass('focused');}).keyup(function(){divText.text(option.filter(':selected').text());li.removeClass('selected sel').eq(option.filter(':selected').index()).addClass('selected sel');});$(document).on('click',function(e){if(!$(e.target).parents().hasClass('selectbox')){dropdown.hide().find('li.sel').addClass('selected');selectbox.removeClass('focused');}});}doSelect();select.on('refresh',function(){select.prev().remove();doSelect();})}});}})(jQuery)
 
jQuery(function(){          
    jQuery('.mptt-shortcode-wrapper select').selectbox();
});