<?php
/**
 * The template for displaying all mp-event posts
 *
 * @package WordPress
 * @subpackage Jogasana
 * @since Jogasana 1.0
 */
get_header(); ?>

<?php if ( have_posts() ): ?>

	<?php global $jogasana_settings; ?>

	<div class="ys-single-mp-event-entry-holder">

		<?php while ( have_posts() ) : the_post(); ?>

			<?php
			global $post;
			$this_id = get_the_ID();
			$title = get_the_title($this_id);
			$link = get_permalink($this_id);
			?>

			<div id="<?php echo get_the_ID() ?>" <?php post_class('single-mp-event-content'); ?>>
               
				<div class="content-element8 single-project">
					<?php the_content(); ?>
				</div>
                
				<?php get_template_part( 'template-parts/single', 'related-mp-event' ); ?>
               
			</div>

		<?php endwhile ?>

	</div>

<?php endif; ?>

<?php get_footer(); ?>