<?php
/**
 * The template for displaying all single posts
 *
 * @package WordPress
 * @subpackage Jogasana
 * @since Jogasana 1.0
 */
get_header(); ?>

<?php if ( have_posts() ): ?>

	<?php global $jogasana_settings; ?>

	<div class="ys-single-portfolio-entry-holder">

		<?php while ( have_posts() ) : the_post(); ?>

			<?php
			global $post;
			$this_id = get_the_ID();
			$title = get_the_title($this_id);
			$link = get_permalink($this_id);
			$link_to_website = $jogasana_settings['portfolio-link'];
			$related_items = $jogasana_settings['portfolio-related'];
			?>

			<div id="<?php echo get_the_ID() ?>" <?php post_class('single-portfolio-content'); ?>>
               
				<div class="content-element8 single-project">
					<?php the_content(); ?>
				</div>
                
				<?php if ( $jogasana_settings['portfolio-nav'] ): ?>
					<?php get_template_part( 'template-parts/single', 'link-pages-portfolio' ) ?>
				<?php endif; ?>
				
                <?php if ( $related_items ): ?>
					<?php get_template_part( 'template-parts/single', 'related-portfolio' ); ?>
                <?php endif; ?>
				
			</div>

		<?php endwhile ?>

	</div>

<?php endif; ?>

<?php get_footer(); ?>