<?php
global $jogasana_settings, $jogasana_config;

$data_mailchimp_api = $jogasana_settings['mailchimp-api']; 
if ( $data_mailchimp_api == '' ) {
	return;
}

if ( $jogasana_settings['show-footer-newsletter'] && $jogasana_config['footer_type'] == 'footer-4' )  {
?>

<div class="call-out newsletter">
        
	<div class="container wide3">

	  <div class="newsletter-wrap row align-items-center">
		
		<div class="col-lg-6 col-md-12">
            <h4 class="call-title"><?php echo esc_html__('Sign Up For Our Newsletter','jogasana') ?></h4>
			<p class="footer-newsletter-info" ><?php echo esc_html__('Subscribe now and get your weekly yoga absolutely free.','jogasana') ?></p>
        </div>
		
		 <div class="col-lg-6 col-md-12">
			
			<form id="newsletter" class="join-form style-2 newsletter cp_newsletter" action="#" method="POST">
			  <input type="email" name="email" placeholder="<?php echo esc_attr__('Enter your email address','jogasana') ?>">
			  <button type="submit" name="signup_submit" class="cp_newsletter-submit btn btn-lg btn-style-3" data-type="submit"><span class="ajax-loader"></span><?php echo esc_html__('Sign Up!','jogasana') ?></button>
			
			  <div class="message-container-subscribe"></div>
			</form>
			
		  </div>
		
	  </div>

	</div>

</div>

<?php } ?>