<?php
    $next_post = get_next_post();
    $prev_post = get_previous_post();
    $next_post_url = $prev_post_url = "";
	$next_post_title = $prev_post_title = "";

    if ( is_object($next_post) ) {
        $next_post_url = get_permalink($next_post->ID);
        $next_post_title = $next_post->post_title;
    }
    if ( is_object($prev_post) ) {
        $prev_post_url = get_permalink($prev_post->ID);
		$prev_post_title = $prev_post->post_title;
    }
?>

<?php if ( !empty($prev_post_url) || !empty($next_post_url) ): ?>

	<div class="post-nav">
    <div class="row">

		<div class="col-6">
		<?php if ( !empty($prev_post_url) ): ?>

			<?php if ( empty($prev_post_title) ): ?>
				<?php $prev_post_title = esc_html__('No Title', 'jogasana') ?>
			<?php endif; ?>

				<a class="link-text" href="<?php echo esc_url($prev_post_url) ?>">
				<?php echo esc_html__('Previous Post', 'jogasana'); ?>
				</a>
				<h6><a href="<?php echo esc_url($prev_post_url) ?>"><?php echo wp_kses_post($prev_post_title); ?></a></h6>
				
		<?php endif; ?>
        </div>

		<div class="col-6">
		<?php if (!empty($next_post_url)): ?>

			<?php if ( empty($next_post_title) ): ?>
				<?php $next_post_title = esc_html__('No Title', 'jogasana') ?>
			<?php endif; ?>

				 <div class="align-right">
                  <a class="link-text" href="<?php echo esc_url($next_post_url) ?>">
				  <?php echo esc_html__('Next Post', 'jogasana'); ?>
                  </a>
				  <h6><a href="<?php echo esc_url($next_post_url) ?>"><?php echo wp_kses_post($next_post_title); ?></a></h6>
                  </div>
				
		<?php endif; ?>
        </div>

	</div>
    </div>

<?php endif; ?>