<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

$title = $tag_title = $description = $title_color = $description_color = '';

extract( shortcode_atts( array(
	'title' => '',
	'type' => 'style-1',
	'description' => ''
), $atts ) );

global $tabarr;
$tabarr = array();

// Extract tab titles
preg_match_all( '/vc_mad_single_tab ([^\]]+)/i', $content, $matches, PREG_OFFSET_CAPTURE );
$tab_titles = array();
if ( isset( $matches[1] ) ) {
	$tab_titles = $matches[1];
}

do_shortcode( $content );

ob_start(); ?>

	<div class="wpb_content_element ys_advanced_tabs">

		<?php if ( $title ):  ?>
			<h3 class="title"><?php echo esc_html($title) ?></h3>
		<?php endif; ?>

		<div class="tabs tabs-section clearfix  <?php echo esc_attr($type) ?>">

			<ul class="tabs-nav ls-none clearfix">

                <?php  if ( isset($tab_titles) && !empty($tab_titles) ) { ?>
					
						<?php foreach( $tab_titles as $tab ): 
						$tab_atts = shortcode_parse_atts( $tab[0] );
							if ( isset( $tab_atts['title'] ) ) {
							?>
								<li><a href="#tab-<?php echo esc_attr($tab_atts['tab_id']) ?>">
									<?php echo esc_html($tab_atts['title']) ?></a>
								</li>
							<?php 
							}
						endforeach; ?>
					
					<?php } ?>

			</ul>

			<div class="tabs-content">
				<?php echo wpb_js_remove_wpautop( $content ) ?>
			</div>

		</div>

	</div>

<?php echo ob_get_clean();
