<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

$title = $tag_title = $description = $title_color = $description_color = '';

extract( shortcode_atts( array(
	'title' => '',
	'tag_title' => 'h2',
	'description' => '',
	'title_align' => '',
	'description_align' => '',
	'title_color' => '',
	'description_color' => '',
	'type' => 'ys-type-1'
), $atts ) );

global $tabarr;
$tabarr = array();

// Extract tab titles
preg_match_all( '/vc_tta_section ([^\]]+)/i', $content, $matches, PREG_OFFSET_CAPTURE );
$tab_titles = array();
if ( isset( $matches[1] ) ) {
	$tab_titles = $matches[1];
}

do_shortcode( $content );

ob_start(); ?>

	<div class="wpb_content_element ys-tour-custom">

		<?php
		echo Jogasana_Vc_Config::getParamTitle(
			array(
				'title' => $title,
				'tag_title' => $tag_title,
				'description' => $description,
				'align' => $title_align,
				'align_des' => $description_align,
				'title_color' => $title_color,
				'description_color' => $description_color
			)
		);

		?>

		<div class="tabs tabs-section vertical clearfix <?php echo esc_attr($type) ?> ">
				<ul class="tabs-nav clearfix ls-none">

					<?php if ( isset($tabarr) && !empty($tabarr) ) { ?>

						<?php foreach( $tabarr as $key => $value ): ?>
							<li><a href="#tour-<?php echo esc_attr($value['tab_id']) ?>">
								<?php echo esc_html($value['title']) ?></a>
							</li>
						<?php endforeach; ?>

					<?php } 
					if ( isset($tab_titles) && !empty($tab_titles) ) { 
					?>
					
						<?php foreach( $tab_titles as $tab ): 
						$tab_atts = shortcode_parse_atts( $tab[0] );
							if ( isset( $tab_atts['title'] ) ) {
							?>
								<li><a href="#tour-<?php echo esc_attr($tab_atts['tab_id']) ?>">
									<?php echo esc_html($tab_atts['title']) ?></a>
								</li>
							<?php 
							}
						endforeach; ?>
					
					<?php } ?>

				</ul>

			<div class="tabs-content">
				<?php echo wpb_js_remove_wpautop( $content ) ?>
			</div>
		</div>

	</div>

<?php echo ob_get_clean();
